All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr
Class TimestampValueExpression

    com.sas.iquery.metadata.expr.TimestampValueExpression

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public final class TimestampValueExpression

Models timestamp values while fitting into the SAS Query Services' expression model by implementing the ExpressionInterface.

Timestamp values stored within objects of this type are implicitly associated with the Greenwich Mean Time (GMT) timezone. No explicit specification of a timezone is allowed or necessary. This behavior is consistent with the Java time-oriented values associated with the classes java.util.Date, java.sql.Date, java.sql.Time, and java.sql.Timestamp.

See the javadoc in the AbstractTimeValueExpression class for more information on timezones.

Field Summary

Fields inherited from class com.sas.iquery.metadata.expr.AbstractTimeValueExpression
`EVENT_VALUE_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`TimestampValueExpression()` Creates a TimestampValueExpression object with no Timestamp value set.
`TimestampValueExpression(java.util.Date timestampValue)` Creates a TimestampValueExpression object and sets the timestamp value stored within the object as the setValue(java.util.Date) method describes.
`TimestampValueExpression(java.sql.Timestamp timestampValue)` Creates a TimestampValueExpression object with the specified time value set.

Method Summary
`int` | `getExpressionType()` Returns the timestamp expression type ExpressionTypes.EXP_TYPE_TIMESTAMP.
`java.sql.Timestamp` | `getTimestampValue()` Returns the same as getValue() but as a more explicit type for this type of object.
`void` | `setTimestampValue(java.sql.Timestamp timestamp)` Sets the timestamp value within this object to the specified value.
`void` | `setValue(java.util.Date value)` Sets the value within this object to be the given value within the given argument.

Methods inherited from class com.sas.iquery.metadata.expr.AbstractTimeValueExpression
`equals, generateQueryText, generateQueryText, getExplicitDoubleValue, getValue, newValue, setExplicitDoubleValue`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Constructor Detail

### TimestampValueExpression

    public TimestampValueExpression()

  Creates a TimestampValueExpression object with no Timestamp value set.

### TimestampValueExpression

    public TimestampValueExpression(java.sql.Timestamp timestampValue)

  Creates a TimestampValueExpression object with the specified time value set.

  The value specified is copied into this object and no future changes to the specified value affect this object's stored value.

  Parameters:
    `timestampValue` - the value to set this object to or null

### TimestampValueExpression

    public TimestampValueExpression(java.util.Date timestampValue)

  Creates a TimestampValueExpression object and sets the timestamp value stored within the object as the setValue(java.util.Date) method describes.

  Parameters:
    `timestampValue` - the time value to set this object to or null

Method Detail

### getTimestampValue

    public java.sql.Timestamp getTimestampValue()

  Returns the same as getValue() but as a more explicit type for this type of object.

  Returns:
    java.sql.Timestamp the time value stored in this object or null if none is set

### setTimestampValue

    public void setTimestampValue(java.sql.Timestamp timestamp)

  Sets the timestamp value within this object to the specified value.

  The value specified is copied into this object and no future changes to the specified value affect this object's stored value.

  Parameters:
    `timestamp` - the value to set this object to

### setValue

    public void setValue(java.util.Date value)

  Description copied from class: `AbstractTimeValueExpression`
  Sets the value within this object to be the given value within the given argument.

  The subsequent calls to get the time-value from this object will return different instances than what were specified when set on this object but will have the same values and will compare equal via the equals() method.

  Changes to the specified object after calling this method will not affect this object's stored value.

  Overrides:
    `setValue` in class `AbstractTimeValueExpression`
  Parameters:
    `value` - the time-value to set on this object.

### getExpressionType

    public int getExpressionType()

  Returns the timestamp expression type ExpressionTypes.EXP_TYPE_TIMESTAMP.

  Returns:
    an expression type from class ExpressionTypes

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.